//
//  ContentView.swift
//  DisplayingItemsInList
//
//  Created by Mohammad Azam on 7/28/21.
//

import SwiftUI

struct Friend: Identifiable {
    let id = UUID()
    let name: String
}

struct ContentView: View {
    
    let friends = [Friend(name: "John"), Friend(name: "Mary"), Friend(name: "Steven")]
    
    var body: some View {
        List(friends.indices) { index in
            let friend = friends[index]
            HStack {
                Text("\(index + 1)")
                Text(friend.name)
            }
        }
    }
}

struct ContentView_Previews: PreviewProvider {
    static var previews: some View {
        ContentView()
    }
}
